cvsd-passwd(8)

NAME
cvsd-passwd - generate password entries for repositories

SYNOPSIS
cvsd-passwd REPOS [+|-]NAME...

DESCRIPTION
cvsd-passwd adds, updates or deletes users from repository passwd files for use with cvsd.

OPTIONS

REPOS
    Specify the directory in which the repository is located. This argument can be the top of the repository, the CVSROOT directory or even the passwd file in the CVSROOT directory.

[+]USER[:SUSER]
    Add or update the user to the CVSROOT/passwd file. If the user does not exist a password for the user is asked and the user is added for use with cvsd. If the user already exists a password for is asked and the password field is modified. The :SUSER part can be user to change or set mapping to a system user. If you do not specify anything, a reasonable default is used based upon your cvsd configuration. If you don't want to map the user to any specified system user you can specify an empty SUSER and use ‘USER:’.

-USER
    Remove the user from the CVSROOT/passwd file.

EXAMPLES
Add an anoncvs user to access the given repository:
    cvsd-passwd /var/lib/cvsd/myrepos +anoncvs
If the user already exists, change the password. Remove a user from the repository passwd list:
    cvsd-passwd /var/lib/cvsd/myrepos -foo Add a user and specify that cvs should remap this user to the joe system user:
    cvsd-passwd /var/lib/cvsd/myrepos joecvs:joe
Note that the user joe should be known in the system passwd file and that cvsd should be run as root or user joe for this to work.

SEE ALSO
cvsd(8)

AUTHOR
Arthur de Jong <arthur@arthurdejong.org>.